Subject: Re: bug#57186: Using xr results in void-function

From: uzibalqa <[email-masked]>
Date: Sun, 14 Aug 2022 17:18:58 +0000

------- Original Message -------
On Sunday, August 14th, 2022 at 4:21 PM, uzibalqa via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> ------- Original Message -------
> On Sunday, August 14th, 2022 at 6:47 AM, Eli Zaretskii [email-masked] wrote:
>
>
>
> > > Date: Sat, 13 Aug 2022 20:35:33 +0000
> > > From: uzibalqa via "Bug reports for GNU Emacs,
> > > the Swiss army knife of text editors" [email-masked]
> > >
> > > I am using `rx' as an alternative to the string-based regexp syntax.` xr' in a very useful package to convert
> > > string regexp to `rx' notation. But when I do` M-x package-list-packages', I do not see `xr' getting listed.
> >
> > I cannot reproduce this: I clearly do see 'xr' in the list of
> > packages.
>
>
> Was not sorting by Packages, and failed to see it listed. `xr' looks as a quite useful function that works well in conjunction with` rx'. Please consider having `xr' as a built-in, as rx is.

Have seen that package-list-packages lists packages according to "Status".  Most often, the way to search for packages is by name.  Because of this, a sorted listing by "Package" rather than "Status" would be desirable.